> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Instant Transfer

> Transfer request to transfer money between accounts.



## OpenAPI

````yaml POST /customer/transfer
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/transfer:
    post:
      tags:
        - Customer
      summary: Create Client Transfer
      description: Transfer request to transfer money between accounts.
      operationId: create_client_transfer_customer_transfer_post
      parameters:
        - name: x-idempotency-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Idempotency-Key
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/src__api__schemas__routers__transaction__ClientTransferRequest
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/src__api__schemas__routers__base__ResponseSchema_ClientCreateTransferResponse___1
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    src__api__schemas__routers__transaction__ClientTransferRequest:
      properties:
        sending_account_id:
          type: string
          title: Sending Account Id
          description: Account id
          examples:
            - 1234abcd
        counterparty_account_id:
          type: string
          title: Counterparty Account Id
          description: Counterparty account number
          examples:
            - '987654321'
        amount:
          type: number
          maximum: 100000000
          exclusiveMinimum: 0
          title: Amount
          description: Amount
          examples:
            - 100
        note:
          type: string
          title: Note
          description: Note
          examples:
            - 'Payment for invoice #1234'
      type: object
      required:
        - sending_account_id
        - counterparty_account_id
        - amount
        - note
      title: ClientTransferRequest
      description: Schema to deserialize the transaction transfer request.
    src__api__schemas__routers__base__ResponseSchema_ClientCreateTransferResponse___1:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: >-
                #/components/schemas/src__api__schemas__routers__transaction__ClientCreateTransferResponse
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[ClientCreateTransferResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    src__api__schemas__routers__transaction__ClientCreateTransferResponse:
      properties:
        transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Transaction Id
          description: Transaction ID
          examples:
            - '123123123123'
        sending_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sending Account Id
          description: Account ID
          examples:
            - 1234abcd
        counterparty_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterparty Account Id
          description: Counterparty account number
          examples:
            - '987654321'
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
          description: Transaction amount
          examples:
            - 100
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
          description: Note for the transaction
          examples:
            - 'Payment for invoice #1234'
      type: object
      title: ClientCreateTransferResponse
      description: Schema to serialize the transaction transfer response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````